#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           audiocd-kio
Epoch:          3
Version: 24.12.0
Release:        %mkrel %{rel}
Summary:        KDE audiocd
Group:          Sound/Utilities
License:        GPLv2
URL:            https://apps.kde.org/kio_audiocd/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)

BuildRequires:  cmake(KCompactDisc6)
BuildRequires:  cmake(KCddb6)

BuildRequires:  cdparanoia-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  lame

Requires:       kcm_cddb
Recommends:     lame
Recommends:     %name-handbook


%description
KIO audiocd.

%files -f %name.lang
%_kf6_categoriesdir/kio_audiocd.*categories
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_audiocd.so
%_qt6_plugindir/libaudiocd_*
%_kf6_plugindir/kio/audiocd.so
%_kf6_applicationsdir/kcm_audiocd.desktop
%_kf6_datadir/config.kcfg/audiocd_*
%_kf6_datadir/konqsidebartng/virtual_folders/services/audiocd.desktop
%_kf6_datadir/solid/actions/solid_audiocd.desktop
%_kf6_metainfodir/org.kde.kio_audiocd.metainfo.xml

#------------------------------------------------------------------------------

%package	handbook
Summary:        KIO audiocd handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description handbook
This package provides KIO audiocd handbook.

%files handbook
%_kf6_docdir/HTML/*/kioslave5/audiocd/
%_kf6_docdir/HTML/*/kcontrol/audiocd/
%_kf6_docdir/HTML/*/kcontrol/kcmaudiocd/
%_kf6_docdir/HTML/*/kioworker6/audiocd/

#------------------------------------------------------------------------------

%define  audiocdplugins_major 5
%define libaudiocdplugins %mklibname audiocdplugins %audiocdplugins_major

%package -n %libaudiocdplugins
Summary:        KDE I/O Slave for Audio CDs
Group:          System/Libraries

%description -n %libaudiocdplugins
KDE I/O Slave for Audio CDs using cdparanoia.

%files -n %libaudiocdplugins
%_kf6_libdir/libaudiocdplugins.so.%{audiocdplugins_major}{,.*}

#--------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libaudiocdplugins = %epoch:%version

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf6_libdir/libaudiocdplugins.so
%_includedir/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 3:24.12.0-1.mga10
+ Revision: 2123705
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 3:24.11.80-1.mga10
+ Revision: 2116262
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 3:24.08.3-1.mga10
+ Revision: 2113953
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 3:24.08.2-1.mga10
+ Revision: 2105448
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 3:24.08.1-1.mga10
+ Revision: 2097311
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 3:24.08.0-1.mga10
+ Revision: 2087514
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 3:24.07.90-1.mga10
+ Revision: 2084995
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 3:24.05.1-1.mga10
+ Revision: 2073118
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 3:24.05.0-1.mga10
+ Revision: 2069709
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 3:24.02.2-1.mga10
+ Revision: 2058518
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 3:24.02.0-1.mga10
+ Revision: 2045062
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 3:24.01.95-1.mga10
+ Revision: 2037563
- New version 24.01.95

* Thu Jan 25 2024 neoclust <neoclust> 3:24.01.90-1.mga10
+ Revision: 2034669
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 3:24.01.85-1.mga10
+ Revision: 2025035
- New version 24.01.85

* Mon Nov 20 2023 neoclust <neoclust> 3:24.01.75-1.mga10
+ Revision: 2008345
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 3:23.08.1-1.mga10
+ Revision: 1989519
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 3:23.04.1-1.mga9
+ Revision: 1958839
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 3:22.12.3-1.mga9
+ Revision: 1946408
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 3:22.12.2-1.mga9
+ Revision: 1941698
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 3:22.12.0-1.mga9
+ Revision: 1922822
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 3:22.11.90-1.mga9
+ Revision: 1911312
- New version 22.11.90

* Sun Nov 20 2022 wally <wally> 3:22.08.3-2.mga9
+ Revision: 1909256
- rebuild for flac 1.4.2

* Thu Nov 10 2022 neoclust <neoclust> 3:22.08.3-1.mga9
+ Revision: 1905169
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 3:22.08.1-1.mga9
+ Revision: 1886691
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 3:22.08.0-1.mga9
+ Revision: 1880669
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 3:22.04.3-1.mga9
+ Revision: 1872986
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 3:22.04.0-1.mga9
+ Revision: 1853880
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 3:22.03.90-1.mga9
+ Revision: 1849386
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 3:21.12.0-2.mga9
+ Revision: 1846162
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 neoclust <neoclust> 3:21.12.0-1.mga9
+ Revision: 1764674
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 3:21.04.1-1.mga9
+ Revision: 1723973
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 3:21.04.0-1.mga9
+ Revision: 1718268
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 3:20.12.3-2.mga9
+ Revision: 1699066
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 3:20.12.2-1.mga9
+ Revision: 1694005
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 3:20.12.0-1.mga8
+ Revision: 1656624
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 3:20.08.3-1.mga8
+ Revision: 1643913
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 3:20.08.2-1.mga8
+ Revision: 1633718
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 3:20.08.1-1.mga8
+ Revision: 1626971
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 3:20.08.0-1.mga8
+ Revision: 1614835
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 3:20.04.3-1.mga8
+ Revision: 1604035
- New version 20.04.3

* Sat Jun 20 2020 neoclust <neoclust> 3:20.04.2-1.mga8
+ Revision: 1597489
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 3:20.04.1-1.mga8
+ Revision: 1584418
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 3:20.04.0-1.mga8
+ Revision: 1568049
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 3:19.12.3-1.mga8
+ Revision: 1559239
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 3:19.12.2-2.mga8
+ Revision: 1540413
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 3:19.12.2-1.mga8
+ Revision: 1513209
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 3:19.12.0-1.mga8
+ Revision: 1467791
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 3:19.08.3-1.mga8
+ Revision: 1457813
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 3:19.08.1-1.mga8
+ Revision: 1447052
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 3:19.04.3-1.mga8
+ Revision: 1424903
- New version 19.04.3

* Tue Apr 16 2019 daviddavid <daviddavid> 3:19.04.0-2.mga7
+ Revision: 1391169
- recommend lame

* Mon Apr 15 2019 neoclust <neoclust> 3:19.04.0-1.mga7
+ Revision: 1390362
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 3:19.03.90-1.mga7
+ Revision: 1388802
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 3:18.12.3-2.mga7
+ Revision: 1381273
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 3:18.12.3-1.mga7
+ Revision: 1375438
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 3:18.12.2-1.mga7
+ Revision: 1365481
- New version 18.12.2

* Tue Jan 22 2019 neoclust <neoclust> 3:18.12.1-1.mga7
+ Revision: 1359541
- New version 18.12.1

* Thu Dec 20 2018 neoclust <neoclust> 3:18.12.0-1.mga7
+ Revision: 1343505
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 3:18.08.3-1.mga7
+ Revision: 1332661
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 3:18.08.2-1.mga7
+ Revision: 1327314
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 3:18.04.1-2.mga7
+ Revision: 1295122
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 3:18.04.1-1.mga7
+ Revision: 1228867
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 3:17.12.2-1.mga7
+ Revision: 1201811
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 3:17.12.1-1.mga7
+ Revision: 1194835
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 3:17.12.0-1.mga7
+ Revision: 1186372
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 3:17.08.0-1.mga7
+ Revision: 1142952
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 3:17.07.90-1.mga7
+ Revision: 1136658
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 3:17.04.3-2.mga7
+ Revision: 1133879
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 3:17.04.3-1.mga7
+ Revision: 1130228
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1089990
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Mon Dec 26 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1077694
- New version 16.12.0

* Fri Dec 09 2016 daviddavid <daviddavid> 3:16.11.90-1.mga6
+ Revision: 1073872
- port to Kf5/Qt5
- update handbook subpackage description and summary
+ neoclust <neoclust>
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067259
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061318
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050585
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047213
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1039980
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012470
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004260
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994796
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991114
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987378
- New version 15.12.2

* Tue Jan 26 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 927693
- New version 15.12.1
- Use  upstream name

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859154
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800568
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787654
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 750212
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734516
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 680979
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667454
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 662965
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656643
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653829
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651934
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636703
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625470
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615543
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609363
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606804
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603266
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600789
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590401
- New version 4.12.2

* Thu Feb 13 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589930
+ rebuild (emptylog)

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga5
+ Revision: 554963
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551229
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539938
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490703
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488621
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476798
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465151
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458877
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455267
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447907
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435258
- Update tarball to KDE SC 4.10.4

* Wed May 29 2013 fwang <fwang> 3:4.10.3-2.mga4
+ Revision: 432024
- add more br to generate encoders

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428375
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407187
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401858
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394364
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 355952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339414
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334518
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326723
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320280
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316165
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301936
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289725
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 277074
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 270027
- new version 4.8.97

* Sun Jul 01 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 265885
- update file list
- update file list
- update file list
- imported package kde4-audiocd

